AVR Libc Home Page |  | AVR Libc Development Pages
Main Page | User Manual | Library Reference | FAQ | Alphabetical Index | Example Projects

# ctype.h File Reference

## Detailed Description

## Defines
#define | __CTYPE_H_ 1
#define | __ATTR_CONST__ __attribute__((__const__))
## Functions
Character classification routines
These functions perform character classification. They return true or false status depending whether the character passed to the function falls into the function's classification (i.e. isdigit() returns true if its argument is any value '0' though '9', inclusive.)
int | isalnum (int __c) __ATTR_CONST__
int | isalpha (int __c) __ATTR_CONST__
int | isascii (int __c) __ATTR_CONST__
int | isblank (int __c) __ATTR_CONST__
int | iscntrl (int __c) __ATTR_CONST__
int | isdigit (int __c) __ATTR_CONST__
int | isgraph (int __c) __ATTR_CONST__
int | islower (int __c) __ATTR_CONST__
int | isprint (int __c) __ATTR_CONST__
int | ispunct (int __c) __ATTR_CONST__
int | isspace (int __c) __ATTR_CONST__
int | isupper (int __c) __ATTR_CONST__
int | isxdigit (int __c) __ATTR_CONST__
Character convertion routines
If `c` is not an unsigned char value, or `EOF`, the behaviour of these functions is undefined.
int | toascii (int __c) __ATTR_CONST__
int | tolower (int __c) __ATTR_CONST__
int | toupper (int __c) __ATTR_CONST__

Automatically generated by Doxygen 1.5.2 on 1 Dec 2007.